import i from "./index-defineProperty.js";
import "react";
import "./index-_virtual18.js";
import f from "./index-Login.js";
function o(t, n) {
  var e = Object.keys(t);
  if (Object.getOwnPropertySymbols) {
    var r = Object.getOwnPropertySymbols(t);
    n && (r = r.filter(function(p) {
      return Object.getOwnPropertyDescriptor(t, p).enumerable;
    })), e.push.apply(e, r);
  }
  return e;
}
function c(t) {
  for (var n = 1; n < arguments.length; n++) {
    var e = arguments[n] != null ? arguments[n] : {};
    n % 2 ? o(e, !0).forEach(function(r) {
      i(t, r, e[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(e)) : o(e).forEach(function(r) {
      Object.defineProperty(t, r, Object.getOwnPropertyDescriptor(e, r));
    });
  }
  return t;
}
c({}, f.defaultProps, {
  className: void 0,
  spinnerConfig: {},
  spinner: !0
});
